# Generated by Django 4.1.9 on 2023-05-22 15:58

from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Location",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("path", models.CharField(max_length=255, unique=True)),
                ("depth", models.PositiveIntegerField()),
                ("numchild", models.PositiveIntegerField(default=0)),
                ("name", models.CharField(max_length=225, unique=True, verbose_name="location name")),
                ("description", models.TextField(blank=True, null=True, verbose_name="description")),
                ("color", models.CharField(blank=True, max_length=7, null=True)),
                ("elevation", models.IntegerField(blank=True, null=True, verbose_name="elevation")),
                (
                    "latitude",
                    models.DecimalField(
                        blank=True, decimal_places=6, max_digits=9, null=True, verbose_name="latitude"
                    ),
                ),
                (
                    "longitude",
                    models.DecimalField(
                        blank=True, decimal_places=6, max_digits=9, null=True, verbose_name="longitude"
                    ),
                ),
            ],
            options={
                "verbose_name": "location",
                "verbose_name_plural": "locations",
                "ordering": ["name"],
            },
        ),
    ]
